Subject: Re: Kernel 2.6 on MPC8xx performance trouble...

From: David Jander <[email-masked]>
Date: Mon, 31 Oct 2005 17:29:57 +0200

On Monday 31 October 2005 14:08, David Jander wrote:
> On Monday 31 October 2005 13:58, Mark Chambers wrote:
> >[...]
> >
> > > No, sir, no cache detected !
> > >
> > > Where do I have to look now?
> >
> > Could the cache be in writethrough mode? (Instead of writeback)
>
> Good point. I just checked the same test, but reading instead of writing.
> Same result, no cache detected.
>
> I know how to change cache policy in u-boot, but does the kernel change
> that? If so, where?

Sorry for the stupid question. I did not remember it was there right before my 
eyes. It seems I just got lost in the new menu structure of the Kconfig.
And yes, cache was in writethrough mode!!
It seems as though this option disables cache entirely, because after turning 
it on, I suddenly get 2.4-type speed measurements.
With CONFIG_8xx_COPYBACK undefined, both reading and writing gives results as 
if there was simply no cache. Shouldn't it at least speed up memory-read 
access?
Sorry to everone for wasting their time with this stupid mistake of mine.
Thanks for all the help anyway.

Greetings,

-- 
David Jander